
Redmine - Feature #35259

Output test coverage report to the console
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

Redmine has its own html formatter for SimpleCow. Would be great to see default generated report in console log for LOC coverage.

It's useful for collecting metrics in gitlab.

Associated revisions

Revision 21080 - 2021-07-25 09:15 - Go MAEDA

Output test coverage report to the console (#35259).

Patch by Dmitry Makurin.

History

#1 - 2021-06-02 02:40 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2021-06-02 02:59 - Go MAEDA

Here is a sample output after applying the patch.

laphroaig:redmine-trunk maeda$ bin/rake test:coverage

<snip>

..................................................................................................

Finished in 904.378688s, 5.5817 runs/s, 24.7385 assertions/s.

5048 runs, 22373 assertions, 0 failures, 0 errors, 8 skips

You have skipped tests. Run with --verbose for details.

Coverage report generated for Minitest to /path/to/redmine/coverage. 21915 / 23875 LOC (91.79%) covered.

#3 - 2021-07-25 09:15 - Go MAEDA

- Subject changed from Test coverage report to Output test coverage report to the console

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Committed the patch. Thank you.

#4 - 2021-07-25 09:20 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

#5 - 2021-11-05 05:29 - Go MAEDA

- Category set to Code cleanup/refactoring

Files

Adds_report_of_LOC_coverage.patch 847 Bytes 2021-05-19 Dmitry Makurin 
https://github.com/simplecov-ruby/simplecov-html/blob/3a30b47964e74ac810edc02629d420fa1cb1bc12/lib/simplecov-html.rb#L31
